Update an Illustration Run in API Explorer
Ask AI
PUT
/api/v1/illustration/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/illustration/53f22fe4-3731-4cdc-aa12-e65bd0b15e52' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"SuperSaver 2024","request_data":{},"generate":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "SuperSaver 2024",
"request_data": {},
"generate": true
}
Response examples (200)
{
"uuid": "0d274555-2144-4d02-8fba-7ac6cbbf99f3",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"generated_at": "2026-07-22T14:08:40+01:00",
"status": "created",
"client": {
"uuid": "bef3800a-a137-4728-82de-83e64768af5e",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "171d5ffa-127a-487b-b548-09c3dc7d9a32",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"accounts": [
{
"uuid": "cb50d1ed-4167-45a9-a560-fbff591f93ce",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "171d5ffa-127a-487b-b548-09c3dc7d9a32",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"application": {
"uuid": "58124095-02eb-43e6-8050-f66accb00a12",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"generated_at": "2026-07-22T14:08:40+01:00",
"name": "Illustration Name",
"request_data": [],
"status": "draft",
"platform": "seccl",
"platform_illustration_id": "ABC0123456789",
"clients": [
"App\\Http\\Resources\\MinimalAccountResource"
],
"firm": {
"uuid": "b8b87c0b-351c-404e-9a99-f8d1e35ccf53",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"illustration": {
"uuid": "57f3f463-36d8-4945-beb1-456da4aa6506",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"generated_at": "2026-07-22T14:08:48+01:00",
"status": "created",
"name": "Illustration Name",
"request_data": [],
"platform": "seccl",
"platform_illustration_id": "ABC0123456789",
"account_opening_allowed": true,
"is_draft": true
},
"requested_by": {
"uuid": "1d6e9aaf-5ba1-4672-9dfb-7c6e9cb94d80",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"plan": {
"uuid": "88074ac9-0644-4f8a-aa99-93c5a14cd339",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"opened_at": "2026-07-22T14:08:48+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-22T14:08:48+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-22",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-22",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-22T14:08:48+01:00",
"original_valued_at": "2026-07-21T14:08:48+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
}
},
"plan": {
"uuid": "97fbeaf1-79bc-49e2-9e94-ee3fceb900ca",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"opened_at": "2026-07-22T14:08:40+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-22T14:08:40+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-22",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-22",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"main_account": {
"uuid": "9638a4d5-e6ea-43cd-a7de-ab96d31683a9",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"sub_accounts": {
"uuid": "9638a4d5-e6ea-43cd-a7de-ab96d31683a9",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"provider": {
"uuid": "4ab70fb1-abc8-4e64-a98d-19fcd3a2cb49",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"covers": {
"uuid": "3cbb5e11-cbde-4fa7-ad59-e628f5bee348",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"indexation": 1.4
},
"claims": {
"uuid": "fb7e5852-6ed1-4f11-ab8c-29cbe4d5f06e",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"claim_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"claim_start_date": "2025-07-22",
"claim_end_date": "2031-07-22",
"claim_notes": "Claim notes"
},
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
}
},
"latest_valuations": {
"uuid": "dad1e2ac-c370-474f-8927-61045e72e8a0",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"valued_at": "2026-07-22T14:08:48+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"valued_at": "2026-07-22T14:08:40+01:00",
"original_valued_at": "2026-07-21T14:08:40+01:00",
"client": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"accounts": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"seller": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_owners": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_plans": {
"uuid": "88074ac9-0644-4f8a-aa99-93c5a14cd339",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"opened_at": "2026-07-22T14:08:48+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-22T14:08:48+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-22",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-22",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-22T14:08:48+01:00",
"original_valued_at": "2026-07-21T14:08:48+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"visible_to_circles": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"statistics": {
"recent_growth": 100
},
"cases": {
"uuid": "3ccee55e-2ded-483b-8c1d-86c4675bd9f4",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "finance",
"slug": "finance",
"review_at": "2026-07-22T14:08:48+01:00",
"assigned_to_uuids": [
null
],
"group_uuids": [
null
],
"completed_at": "2026-07-22T14:08:48+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"task_board_uuid": null
},
"tags": {
"uuid": "1cf2aa8d-4fc2-4c1e-9a53-7ebd571b87c5",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"is_wrap_product": false,
"is_wrap_child": false,
"wrap": {
"uuid": "88074ac9-0644-4f8a-aa99-93c5a14cd339",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"opened_at": "2026-07-22T14:08:48+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-22T14:08:48+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-22",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-22",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-22T14:08:48+01:00",
"original_valued_at": "2026-07-21T14:08:48+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"wrap_children": {
"uuid": "88074ac9-0644-4f8a-aa99-93c5a14cd339",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"opened_at": "2026-07-22T14:08:48+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-07-22T14:08:48+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-07-22",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-07-22",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-07-22T14:08:48+01:00",
"original_valued_at": "2026-07-21T14:08:48+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"linked_policy_numbers": {
"uuid": "deec59e2-3c5a-4d6a-b6fb-4e1484f1987d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"linked_policy_number": "ABC123-X"
},
"can_be_deleted": "false",
"contract_enquiry_account": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "171d5ffa-127a-487b-b548-09c3dc7d9a32",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"requested_by": {
"uuid": "2fba4d60-8b8a-459b-ad18-5c3f7b576436",
"created_at": "2026-07-22T14:08:40+01:00",
"updated_at": "2026-07-22T14:08:40+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b8b87c0b-351c-404e-9a99-f8d1e35ccf53",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "e84435a0-6148-479a-a240-5e4ad20fa249",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "e84435a0-6148-479a-a240-5e4ad20fa249",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "49e611e7-0b12-449f-8530-964880c28890",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-22T13:18:48+01:00",
"end_date": "2026-07-22T13:46:48+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "315039df-2679-475b-98e4-11d38ee01a8e",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00"
},
"tags": {
"uuid": "1cf2aa8d-4fc2-4c1e-9a53-7ebd571b87c5",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "55d55b76-5063-4552-846d-7d2d0d4ce86d",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-22T14:08:48+01:00",
"next_review_date": "2026-07-22T14:08:48+01:00",
"previous_review_date": "2026-07-22T14:08:48+01:00",
"anniversary_review_date": "2026-07-22T14:08:48+01:00",
"terms_of_business_at": "2026-07-22T14:08:48+01:00",
"client_agreement_at": "2026-07-22T14:08:48+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:48",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-22T14:08:40+01:00",
"next_review_date": "2026-07-22T14:08:40+01:00",
"previous_review_date": "2026-07-22T14:08:40+01:00",
"anniversary_review_date": "2026-07-22T14:08:40+01:00",
"terms_of_business_at": "2026-07-22T14:08:40+01:00",
"client_agreement_at": "2026-07-22T14:08:40+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"circles": {
"uuid": "ce7969d1-b161-49b0-854c-ecee3add864f",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-22T14:08:48+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "2b1fa473-a47d-4906-bd62-7b416c15730c",
"login_access_level": "write",
"current_life_stage_uuid": "7fa9d874-fbea-4d21-bb3a-5081b77eab5b"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-22",
"last_interaction_at": "2026-07-22 14:08:40",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "171d5ffa-127a-487b-b548-09c3dc7d9a32",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"name": "Illustration Name",
"request_data": [],
"platform": "seccl",
"platform_illustration_id": "ABC0123456789",
"account_opening_allowed": true,
"is_draft": true
}